[project]
name = "sonoma-app-client"
version = "0.1.0"
description = ""
requires-python = ">=3.12"
authors = [
    { name = "SaddyDEAD", email = "saddydead@sonoma.su" }
]
dependencies = [
  "flet==0.28.3",
  "cryptography",
  "httpx (>=0.28.1,<0.29.0)"
]

[tool.flet]
org = "su.sonoma"

product = "SApp"

company = "Sonoma"

copyright = "Copyright (C) 2025 by Sonoma Org."

[tool.flet.app]
path = "src"

[tool.uv]
dev-dependencies = [
    "flet[all]==0.28.3",
]

[tool.poetry]
package-mode = false

[tool.poetry.group.dev.dependencies]
flet = {extras = ["all"], version = "0.28.3"}